Page MenuHomePhabricator

Track errors people encounter when using the Bridge
Closed, ResolvedPublic5 Estimated Story Points

Description

We want to know how many times people encounter errors when they are using the Bridge. Based on this we want to see which error cases we potentially want to make less likely to happen or handle with better (e.g. more specific) error messages.

BDD
GIVEN
AND
WHEN
AND
THEN
AND

Acceptance criteria:

  • all errors are tracked
  • a graph exists that shows the amount for each of the different error types over time

From the tech discussion

  • we'll add tracking into the root store
    • we discussed to implement this through a subscription to the addApplicationErrors mutation so we don't miss any additions no matter how the change of value came together (action/mutation)
  • the ErrorUnknown and ErrorSaving will keep their calls to the tracking actions for truly "unhandled errors" (so we will be able to visualize those without having to maintain a list to excludes in grafana)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 13 2020, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

An error scenario can be the result of multiple errors coinciding. In such a scenario, are we incrementing all or just the "top 1" (determined by some logic we'll make up)?

An error scenario can be the result of multiple errors coinciding. In such a scenario, are we incrementing all or just the "top 1" (determined by some logic we'll make up)?

If we know them all let's count each of them.

Pablo-WMDE updated the task description. (Show Details)May 18 2020, 1:15 PM
Pablo-WMDE edited projects, added Wikidata-Bridge-Sprint-20; removed Wikidata-Bridge.
Pablo-WMDE set the point value for this task to 5.
Michael claimed this task.May 18 2020, 2:15 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-20 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 18 2020, 2:15 PM

Change 597094 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Rename error tracking actions

https://gerrit.wikimedia.org/r/597094

Change 597259 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Move error formatting into tracker

https://gerrit.wikimedia.org/r/597259

Change 597279 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: track all errors

https://gerrit.wikimedia.org/r/597279

Change 597094 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Rename error tracking actions

https://gerrit.wikimedia.org/r/597094

Change 597259 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Move error formatting into tracker

https://gerrit.wikimedia.org/r/597259

Change 597279 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: track all errors

https://gerrit.wikimedia.org/r/597279

Changes are merged, I guess we still need to actually create the graph?

Lucas_Werkmeister_WMDE closed this task as Resolved.May 20 2020, 4:53 PM
Lucas_Werkmeister_WMDE moved this task from Doing to Done on the Wikidata-Bridge-Sprint-20 board.

Then I think this is done!